Subject: Re: [TopGit RFC PATCH] tg mail: new command for mailing patches

From: Kirill Smelkov <[email-masked]>
Date: Fri, 19 Sep 2008 14:04:41 +0400

On Fri, Sep 19, 2008 at 11:52:03AM +0200, Bert Wesarg wrote:
> On Fri, Sep 19, 2008 at 11:08, Kirill Smelkov <[email-masked]> wrote:
> > Petr, since you've asked for help on this, here you are:
> >
> >    $ tg mail [NAME]
> >
> > a simple script to send one patch over email.
> >
> >
> > All it does is
> >
> >    - call `tg patch` for actual patch preparation
> >    - extract email addresses from whom and where to send a mail
> That shouldn't be needed. git send-email parses Cc: headers and the

Exactly for this reason I do not extract Cc. And git send-mail does not
extract From: -- it just asks to confirm From is GIT_COMMITTER_IDENT,
and there is no option to stop it doing so except providing explicit
--from <someone> (maybe i'm missing something?).

> To: comes from 'git config topgit.to', so you can re-use this.

Yes, it comes directly to .topmsg when `tg create` is done, so I thought
the main source of information is the patch itself -- users may want to
edit that To: by hand or add another To: lines.

and what If a patch is already exported as a file, and I want to
send/resend it upstream right from that file?

We may want to look for topgit.to too though.

-- 
    Всего хорошего, Кирилл.